=== debian/changelog ===
toil (4.0.0-3) unstable; urgency=medium

  * Mark the autopkgtest as superficial. (Closes: #958574)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 06 May 2020 20:58:48 +0200

toil (4.0.0-2) unstable; urgency=medium

  * Add python3-distutils dependency, needed for python3-docker
  * debian/copyright: remove leading "./"

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 27 Apr 2020 15:55:22 +0200

toil (4.0.0-1) unstable; urgency=medium

  * New upstream version
  * Freshen our patches
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse
  * python3-chardet is no longer needed

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 06 Apr 2020 13:56:50 +0200
