=== debian/tests/control ===
Tests: smoke-test
Depends: toil
Features: superficial
