## toil 4.1.0

=== debian/changelog ===
toil (4.1.0-1) unstable; urgency=medium

  * New upstream version
  * Refreshed the patches
  * debhelper-compat 13 (routine-update)
  * Update patch metatdata

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 07 Aug 2020 17:14:01 +0200
