=== debian/control ===
Source: toil
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Michael R. Crusoe <crusoe@debian.org>
Section: net
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-docker,
               python3-dill,
               python3-future,
               python3-pytest-xdist,
               cwltool,
               python3-distutils,
               python3-enlighten,
# documentation
               python3-urllib3,
               python3-sphinx
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/toil
Vcs-Git: https://salsa.debian.org/med-team/toil.git
Homepage: https://github.com/BD2KGenomics/toil
Rules-Requires-Root: no

Package: toil
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-distutils,
         cwltool
Recommends: python3-boto,
            python3-boto3,
# for google cloud support
            python3-libcloud
# for mesos support, but needs python3-mesos first
#         python3-protobuf,
Suggests: docker.io | singularity-container | docker-ce,
          python3-azure,
          python3-azure-storage,
          python3-idna,
Provides: cwl-runner
#Suggests: python-toil-doc
Description: cross-platform workflow engine
 Toil is a scalable, efficient, cross-platform and easy-to-use workflow
 engine in pure Python.  It works with several well established load
 balancers like Slurm or the Sun Grid Engine.  Toil is also compatible with
 the Common Workflow Language (CWL) via the "toil-cwl-runner" interface, which
 this package make available via the Debian alternativess system under the
 alias "cwl-runner".

#Package: python-toil-doc
#Architecture: all
#Section: doc
#Depends: ${sphinxdoc:Depends}, ${misc:Depends}
#Description: cross-platform workflow engine (common documentation)
# The documentation of Toil shall go here at some point.
# .
# This is the common documentation package.
