=== debian/changelog ===
toil (4.2.0-1) unstable; urgency=medium

  * New upstream version
  * Remove unneeded no_virtualenv_to_create_manpages.patch; freshen remaining
    patches.
  * debian/tests/control: 'superficial' is a restriction, not a feature
  * Quiet a lintian false positive for repeated-path-segment

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 27 Aug 2020 11:26:41 +0200
