=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-dill,
                python3-future,
                python3-pytest-xdist,
-               cwltool,
+               cwltool (>= 3.0.20200807132242),
                python3-distutils,
                python3-enlighten,
 # documentation
