=== debian/tests/control ===
Tests: smoke-test
Depends: toil
Restrictions: superficial
