=== debian/changelog ===
toil (5.2.0-5) unstable; urgency=high

  * debian/patches/test_with_less_memory: reduce default resource reqs
    for 32bit systems

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 10 Feb 2021 11:24:49 +0100

toil (5.2.0-4) unstable; urgency=high

  * autopkgtests: skip some s3 related tests.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 08 Feb 2021 08:29:12 +0100

toil (5.2.0-3) unstable; urgency=high

  * autopkgtests: add missing dependency on python3-stubserver

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 07 Feb 2021 13:58:57 +0100

toil (5.2.0-2) unstable; urgency=high

  * Enable toil-wdl-runner now that python3-wdlparse is in Debian.
  * Enabled running the the tests during the build!

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 07 Feb 2021 13:26:16 +0100

toil (5.2.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * Freshen patches
  * update some copyright info
  * The python module "wdlparse" is not yet packaged for Debian; disable
    toil-wdl-runner in this release.
  * debian/control: update the minimum version of cwltool required

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 24 Jan 2021 12:07:21 +0100
