=== debian/control ===
--- 
+++ 
@@ -11,14 +11,20 @@
                python3-docker,
                python3-dill,
                python3-future,
-               python3-pytest-xdist,
-               cwltool (>= 3.0.20200807132242),
+               cwltool (>= 3.0.20201203173111),
                python3-distutils,
                python3-enlighten,
+               python3-wdlparse,
+               python3-pytest <!nocheck>,
+               python3-mock <!nocheck>,
+               python3-boto3 <!nocheck>,
+               python3-boto <!nocheck>,
+               python3-stubserver <!nocheck>,
+               rsync <!nocheck>,
 # documentation
                python3-urllib3,
                python3-sphinx
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/toil
 Vcs-Git: https://salsa.debian.org/med-team/toil.git
 Homepage: https://github.com/BD2KGenomics/toil
@@ -32,6 +38,8 @@
          cwltool
 Recommends: python3-boto,
             python3-boto3,
+# for WDL support
+            python3-wdlparse,
 # for google cloud support
             python3-libcloud
 # for mesos support, but needs python3-mesos first
