=== debian/tests/control ===
Tests: smoke-test
Depends: toil, python3-wdlparse
Restrictions: superficial

Tests: run-unit-tests
Depends: toil, python3-wdlparse, python3-pytest, python3-mock, python3-boto3, rsync, python3-boto, python3-stubserver
Restrictions: allow-stderr, needs-internet
