=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

https://github.com/BD2KGenomics/toil/releases .*/archive/releases/@ANY_VERSION@@ARCHIVE_EXT@
