=== debian/changelog ===
toil (5.5.0-7) unstable; urgency=medium

  * Adjust depends to match cwltool 3.1.20211104071347 or greater.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 07 Nov 2021 15:44:06 +0100

toil (5.5.0-6) unstable; urgency=medium

  * Support cwltool 3.1.20211104071347.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 05 Nov 2021 17:24:21 +0100

toil (5.5.0-5) unstable; urgency=medium

  * Another adjustment of disk/memory defaults for the autopkgtests.
  * debian/patches/exit_code_exception: Fix exception checking for
    exit_code

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 08 Oct 2021 10:57:25 +0200

toil (5.5.0-4) unstable; urgency=medium

  * Adjust disk/memory defaults further downward for 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 06 Oct 2021 16:29:06 +0200

toil (5.5.0-3) unstable; urgency=medium

  * toil binary package depedency on recent cwltool as well.
  * Autopkgtests: skip collection of s3 tests

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 03 Oct 2021 13:20:18 +0200

toil (5.5.0-2) unstable; urgency=medium

  * Correct minimum versions for cwltool, python3-boto3

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 30 Sep 2021 11:42:30 +0200

toil (5.5.0-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * Fix watchfile to detect new versions on github (routine-update)
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * d/p/python3: adopted upstream
  * skipped networking-based tests
  * d/u/metadta: onfirmed missing registry entries

  [ Michael R. Crusoe ]
  * New upstream version
  * Refresh patches
  * Bump minimum version of cwltool needed to 3.1.20210922203925
  * Testing: ignore src/toil/test/lib/aws/test_s3.py
  * Add testing dependency on python3-yaml.
  * debian/patches/spelling: fix some typos
  * debian/toil.lintian-overrides: documented another false positive

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 29 Sep 2021 20:36:37 +0200
