=== debian/control ===
--- 
+++ 
@@ -6,25 +6,26 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               python3-all,
+               python3-all:any,
                python3-setuptools,
                python3-docker,
                python3-dill,
                python3-future,
-               cwltool (>= 3.0.20201203173111),
+               cwltool (>= 3.1.20211104071347),
                python3-distutils,
                python3-enlighten,
                python3-wdlparse,
                python3-pytest <!nocheck>,
                python3-mock <!nocheck>,
-               python3-boto3 <!nocheck>,
+               python3-boto3 (>=1.17) <!nocheck>,
                python3-boto <!nocheck>,
                python3-stubserver <!nocheck>,
                rsync <!nocheck>,
+               python3-yaml <!nocheck>,
 # documentation
                python3-urllib3,
                python3-sphinx
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/toil
 Vcs-Git: https://salsa.debian.org/med-team/toil.git
 Homepage: https://github.com/BD2KGenomics/toil
@@ -35,7 +36,7 @@
 Depends: ${python3:Depends},
          ${misc:Depends},
          python3-distutils,
-         cwltool
+         cwltool (>= 3.1.20211104071347)
 Recommends: python3-boto,
             python3-boto3,
 # for WDL support
