=== debian/changelog ===
toil (5.6.0-1) unstable; urgency=medium

  * New upstream version
  * Refresh patches, retiring cwl_test_path, spelling, and
    test_with_less_memory
  * Skip the py-tes dependency for now.
  * Skip testVirtualEnv 

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 19 Jan 2022 14:23:52 +0100
