=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-docker,
                python3-dill,
                python3-future,
-               cwltool (>= 3.1.20211104071347),
+               cwltool (>= 3.1.20220119140128),
                python3-distutils,
                python3-enlighten,
                python3-wdlparse,
